#include <bits/stdc++.h>
using namespace std;

int main() {
  int a, b, rezultat = 0;
  int niz_cifara_A[999999], niz_cifara_B[999999];
  int duzina_niza_a = 0, duzina_niza_b = 0, duza_duzina, kraca_duzina;
  int brojac, brojac2;
  scanf("%d %d", &a, &b);
// niz 1
  int x = a;
  while( x>0 ) {
    printf("\n%s", "niz 1");
    niz_cifara_A[duzina_niza_a] = x % 10;
    x = x / 10;
    printf("\n%d", niz_cifara_A[duzina_niza_a]);
    duzina_niza_a++;
  }
// niz 2
  int y = b;
  while( y>0 ) {
    printf("\n%s", "niz 2");
    niz_cifara_B[duzina_niza_b] = y % 10;
    y = y / 10;
    printf("\n%d", niz_cifara_B[duzina_niza_b]);
    duzina_niza_b++;
  }

  if( duzina_niza_a < duzina_niza_b ) {
    kraca_duzina = duzina_niza_a;
  } else {
    kraca_duzina = duzina_niza_b;
  }

  for(brojac=0; brojac<kraca_duzina; brojac++) {
    if( niz_cifara_A[brojac] > niz_cifara_B[brojac] ) {
        rezultat += niz_cifara_A[brojac] * pow(10, brojac2);
    } else if( niz_cifara_A[brojac] < niz_cifara_B[brojac] ) {
        rezultat += niz_cifara_B[brojac] * pow(10, brojac2);
    } else {
        rezultat += ( niz_cifara_A[brojac] * pow(10, brojac2+1) ) + ( niz_cifara_A[brojac] * pow(10, brojac2) );
        brojac2++;
    }
    brojac2++;
  }

  if( duzina_niza_a > duzina_niza_b ) {
    duza_duzina = duzina_niza_a;
  } else {
    duza_duzina = duzina_niza_b;
  }

  for(; brojac<duza_duzina; brojac++) {
    if( duza_duzina == duzina_niza_a ) {
      rezultat += ( pow(10, brojac2) * niz_cifara_A[brojac] );
    } else {
      rezultat += ( pow(10, brojac2) * niz_cifara_B[brojac] );
    }
    brojac2++;
  }

  printf("\n\n%d", rezultat);

  return 0;
}